<?php
/**
 * Createing an about us pannel for customizer
 */
 
// START ABOUT SECTION 
    $wp_customize->add_section(
        'lz_fitness_premium_aboutconstruction_section',
        array(
            'title' => __( 'About Us Section', 'lz-fitness-premium' ),
            'panel' => 'lz_fitness_premium_home_panel'
        )
    );
    // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'lz_fitness_premium_aboutconstruction_section_disable',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Switch_Control(
            $wp_customize,
            'lz_fitness_premium_aboutconstruction_section_disable',
            array(
                'settings'      => 'lz_fitness_premium_aboutconstruction_section_disable',
                'section'       => 'lz_fitness_premium_aboutconstruction_section',
                'label'         => __( 'Disable Section', 'lz-fitness-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'lz-fitness-premium' ),
                    'off' => __( 'No', 'lz-fitness-premium' )
                ),
            )
        )
    );
backgroundManager($wp_customize, 'about', 'lz_fitness_premium_aboutconstruction_section', $color='#ffffff'); 


// to show & hide another button
$wp_customize->add_setting( 'aboutusectionimganimation_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'aboutusectionimganimation_button_display', array( 'label' => 'Animation Display Setting', 'section' => 'lz_fitness_premium_aboutconstruction_section', 'settings' => 'aboutusectionimganimation_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Start animation', 'hide' => 'Stop Animation', ), ) ); 
// end to show & hide button


addColorPalatOption($wp_customize, 'lz_fitness_aboutusection_animatedbx_Color', 'lz_fitness_premium_aboutconstruction_section', 'Select Animated Box color', '#e7ccf7');


lzCustomLable($wp_customize, 'lz_fitness_aboutus_left1imagelblbuttonabtdisplay', 'lz_fitness_premium_aboutconstruction_section', 'Left Image1:');


      $wp_customize->add_setting(
        'lz_fitness_about_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'lz_fitness_about_image',
            array(
                'section' => 'lz_fitness_premium_aboutconstruction_section',
                'settings' => 'lz_fitness_about_image',
                'description' => __('Recommended Image Size: 500X600px', 'lz-fitness-premium')
            )
        )
    );
 
 lzCustomLable($wp_customize, 'lz_fitness_aboutus_left2imagelblbuttonabtdisplay', 'lz_fitness_premium_aboutconstruction_section', 'Left Image2:');


      $wp_customize->add_setting(
        'lz_fitness_about_second',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'lz_fitness_about_second',
            array(
                'section' => 'lz_fitness_premium_aboutconstruction_section',
                'settings' => 'lz_fitness_about_second',
                'description' => __('Recommended Image Size: 500X600px', 'lz-fitness-premium')
            )
        )
    );


    $wp_customize->add_setting(
        'lz_fitness_aboutconstruction_title_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_aboutconstruction_title_heading',
            array(
                'settings'      => 'lz_fitness_aboutconstruction_title_heading',
                'section'       => 'lz_fitness_premium_aboutconstruction_section',
                'label'         => __( 'About Us Title & Text', 'lz-fitness-premium' ),
            )
        )
    );    
    $wp_customize->add_setting(
        'lz_fitness_aboutconstruction_title',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'About Business', 'lz-fitness-premium' )
        )
    );
    $wp_customize->add_control(
        'lz_fitness_aboutconstruction_title',
        array(
            'settings'      => 'lz_fitness_aboutconstruction_title',
            'section'       => 'lz_fitness_premium_aboutconstruction_section',
            'type'          => 'text',
            'label'         => __( 'Title for section', 'lz-fitness-premium' )
        )
    );

addColorPalatOption($wp_customize, 'lz_fitness_aboutconstruction_HeadingColor', 'lz_fitness_premium_aboutconstruction_section', 'Section Title color', '#313131');


$wp_customize->add_setting(
        'lz_fitness_aboutconstruction_text',
        array(
            'sanitize_callback'=>'lz_fitness_sanitize_text',
            'default'=> __('Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus eu pharetra ex. Etiam eget diam ligula. Sed at blandit ante. Vivamus feugiat.', 'lz-fitness-premium')
        )
    );
    $wp_customize->add_control(
        'lz_fitness_aboutconstruction_text',
        array(
            'settings' =>'lz_fitness_aboutconstruction_text',
            'section' => 'lz_fitness_premium_aboutconstruction_section',
            'type'=> 'textarea',
            'label'=> __('Content for the section', 'lz-fitness-premium')
        )
    );

addColorPalatOption($wp_customize, 'lz_fitness_aboutconstruction_contentColor', 'lz_fitness_premium_aboutconstruction_section', 'Content color', '#6d6c6c');    

 

lzCustomLable($wp_customize, 'lz_fitness_premium_aboutsectionbutton1display', 'lz_fitness_premium_aboutconstruction_section', 'Button Display, Button Text & Button Colors Setting:');
// to show & hide another button
$wp_customize->add_setting( 'aboutusection_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'aboutusection_button_display', array( 'label' => 'Button Display', 'section' => 'lz_fitness_premium_aboutconstruction_section', 'settings' => 'aboutusection_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button

$wp_customize->add_setting(
    'lz_fitness_aboutussection_txt',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Read More' )
    )
);
$wp_customize->add_control(
    'lz_fitness_aboutussection_txt',
    array(
        'settings'      => 'lz_fitness_aboutussection_txt',
        'section'       => 'lz_fitness_premium_aboutconstruction_section',
        'type'          => 'text',
        'label'         => __( 'Add Button Text Here:', 'luzuk' )
    )
);
$wp_customize->add_setting('lz_fitness_aboutusectionlink',   array('default'=> 'add Button link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_aboutusectionlink',
    array(
        'settings'      => 'lz_fitness_aboutusectionlink',
        'section'       => 'lz_fitness_premium_aboutconstruction_section',
        'type'          => 'url',
        'label'         => __( 'Add Button Url Here:', 'Hexagon' )
    )
);


addColorPalatOption($wp_customize, 'lz_fitness_aboutusection_Buttontxt_Color', 'lz_fitness_premium_aboutconstruction_section', 'Select Button Text color', '#6843c4');
addColorPalatOption($wp_customize, 'lz_fitness_aboutusection_Buttontxthvr_Color', 'lz_fitness_premium_aboutconstruction_section', 'Select Button Text Hover color', '#000');


addColorPalatOption($wp_customize, 'lz_fitness_aboutusection_Buttonbordercl_Color', 'lz_fitness_premium_aboutconstruction_section', 'Select Button Border color', '#6843c4');
addColorPalatOption($wp_customize, 'lz_fitness_aboutusection_Buttonborderhvrcl_Color', 'lz_fitness_premium_aboutconstruction_section', 'Select Button Border Hover color', '#000');








